Public Member Functions | Package Functions

# BinNavi.API.disassembly.FunctionListenerAdapter Class Reference

Adapter class for functions. More...

Inheritance diagram for BinNavi.API.disassembly.FunctionListenerAdapter:

List of all members.

## Public Member Functions
void | changedDescription (Function function, String description)
| Signals a new function description.
void | changedName (Function function, String name)
| Signals a new function name.
void | closedFunction (Function function)
| Signals that function data was closed.
void | loadedFunction (Function function)
| Signals that function data was loaded.
## Package Functions
void | changedComment (Function function, String comment)
| Signals a new function comment.

## Detailed Description

Adapter class that can be used by objects that want to listen on functions but only need to process few events.

## Member Function Documentation

void BinNavi.API.disassembly.IFunctionListener.changedComment | ( | Function | function,
|  | String | comment |
| ) |  |  | `[package, inherited]`

Invoked after the comment of the function changed.

Parameters:

  | function | The function whose comment changed.
  | comment | The new comment of the function.

void BinNavi.API.disassembly.IFunctionListener.changedDescription | ( | Function | function,
|  | String | description |
| ) |  |  | `[inherited]`

Invoked after the description of the function changed.

Parameters:

  | function | The function whose description changed.
  | description | The new description of the function.

void BinNavi.API.disassembly.IFunctionListener.changedName | ( | Function | function,
|  | String | name |
| ) |  |  | `[inherited]`

Invoked after the name of the function changed.

Parameters:

  | function | The function whose description changed.
  | name | The new name of the function.

void BinNavi.API.disassembly.IFunctionListener.closedFunction | ( | Function | function | ) | `[inherited]`

Invoked after the resolved function associated with this function changed.

Parameters:

  | function | The new resolved function. Invoked after the function was closed. The content of the function can not be used anymore until the function is reloaded.
  | function | The function that was closed.

void BinNavi.API.disassembly.IFunctionListener.loadedFunction | ( | Function | function | ) | `[inherited]`

Invoked after the function was loaded from the database.

Parameters:

  | function | The function that was loaded from the database.